export const BLOCK_SIZE = 64;

export const X_SPEED = 8.8; // blocks per second
export const GRAVITY = 65; // blocks per second per second
export const JUMP_HEIGHT = 2.08; // blocks
export const JUMP_HEIGHT_SM = 0.4; // blocks

export const X_SPEED_PIXELS = X_SPEED * BLOCK_SIZE; // pixels per second
export const GRAVITY_PIXELS = GRAVITY * BLOCK_SIZE; // pixels per second per second
export const JUMP_VELOCITY_PIXELS = Math.sqrt(2 * GRAVITY * JUMP_HEIGHT) * BLOCK_SIZE; // pixels per second
export const JUMP_VELOCITY_SM_PIXELS = Math.sqrt(2 * GRAVITY * JUMP_HEIGHT_SM) * BLOCK_SIZE; // pixels per second
export const ROTATE_TIME = (2 * JUMP_VELOCITY_PIXELS) / (GRAVITY_PIXELS) - (1/120); // seconds
export const ROTATE_TIME_SM = (4 * JUMP_VELOCITY_SM_PIXELS) / (GRAVITY_PIXELS) - (1/120); // seconds

// these are different but similar
export const JUMP_HEIGHT_DEATH = 0.45; // blocks
export const JUMP_VELOCITY_DEATH_PIXELS = Math.sqrt(2 * GRAVITY * JUMP_HEIGHT_DEATH) * BLOCK_SIZE; // pixels per second
